Bug Hunting Session
Bug 115846 - “Navigate By” Function in Find Toolbar does not Work with Documents in Read-only Mode
Summary: “Navigate By” Function in Find Toolbar does not Work with Documents in Read-o...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.1.1 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Navigate-By
  Show dependency treegraph
 
Reported: 2018-02-19 10:31 UTC by Harald Koester
Modified: 2018-10-24 17:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2018-02-19 10:31:31 UTC
In order to reproduce the bug:

[1] Create a text document and insert some drawings objects. Menu: Insert > Form > ...
[2] Save document.
[3] Change edit mode to read-only: Menu: Edit > Edit Mode
[4] Display Find toolbar.
[5] In drop-down menu “Navigate By” try to select Drawing. A selection in this menu is not possible. Expected: A Selection and afterwards a navigation should be possible also in read-only mode, like it is possible for text searches in the same toolbar.
Comment 1 Jim Raykowski 2018-02-20 00:21:23 UTC
Hi Harald a patch for this was merged.

https://gerrit.libreoffice.org/#/c/47011/
Comment 2 Xisco Faulí 2018-02-21 23:46:37 UTC
(In reply to Jim Raykowski from comment #1)
> Hi Harald a patch for this was merged.
> 
> https://gerrit.libreoffice.org/#/c/47011/

Closing as RESOLVED FIXED then.
Thanks Jim for your recent work. it makes a difference ;-)
Comment 3 Harald Koester 2018-10-24 17:20:48 UTC
Verified with version 6.1.2. Thus bug closed.